CREATE TABLE IF NOT EXISTS device(
    device_id BIGINT NOT NULL PRIMARY KEY,
    device_type_id INTEGER NOT NULL,
    device_owner_id BIGINT,
    device_guid VARCHAR(255) NOT NULL,
    name VARCHAR(1024),
    email VARCHAR(1024),
    email_type_id INTEGER,
    session_id VARCHAR(4096),
    properties VARCHAR(4096),
    assignedtoid BIGINT,
    assignedtoname VARCHAR(255),
    create_time TIMESTAMP WITH TIME ZONE,
    update_version INTEGER NOT NULL DEFAULT 0,
    time_correction BIGINT,
    change_timestamps VARCHAR(4096),
    replica_device_id BIGINT,
    kill_switch_on BOOLEAN DEFAULT FALSE,
    org_key VARCHAR(255),
    deployment_type VARCHAR(128)
);
INSERT INTO device (device_id, device_type_id, device_guid) VALUES (1, 1, 'abc123');

CREATE TABLE IF NOT EXISTS msm_processing_device
(
    device_id BIGINT NOT NULL,
    created_at TIMESTAMP NOT NULL DEFAULT NOW(),
    started_at TIMESTAMP,
    PRIMARY KEY (device_id),
    FOREIGN KEY (device_id) REFERENCES device (device_id)
);
